Bug 429105 - hfs kernel module: NULL pointer dereference
hfs kernel module: NULL pointer dereference
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 06:34 EST by Christophe GRENIER
Modified: 2008-11-26 12:37 EST (History)
4 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Partial boggus hfs filesystem (5.00 KB, application/octet-stream)
2008-01-17 06:34 EST, Christophe GRENIER
no flags Details
kernel log (5.48 KB, text/plain)
2008-01-17 06:36 EST, Christophe GRENIER
no flags Details
dmesg for kernel 2.6.23.15-80.fc7 (3.24 KB, application/octet-stream)
2008-03-21 03:48 EDT, Christophe GRENIER
no flags Details

  None (edit)
Description Christophe GRENIER 2008-01-17 06:34:42 EST
Description of problem:
When investigating a physically damaged harddisk image, a bug in hfs

Version-Release number of selected component (if applicable):
kernel-2.6.22.14-72.fc6

How reproducible: always

Steps to Reproduce:
1. mount -o loop,ro hfs_boggus2.dd /mnt/hfs
  
Actual results:
Jan 17 12:18:21 christophe kernel: hfs: unable to locate alternate MDB
Jan 17 12:18:21 christophe kernel: hfs: continuing without an alternate MDB
Jan 17 12:18:21 christophe kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 00000034
Comment 1 Christophe GRENIER 2008-01-17 06:34:42 EST
Created attachment 291981 [details]
Partial boggus hfs filesystem
Comment 2 Christophe GRENIER 2008-01-17 06:36:17 EST
Created attachment 291982 [details]
kernel log
Comment 3 Johan Kok 2008-01-19 07:08:29 EST
Thank you for the bug report. However, Fedora Project no longer maintains Fedora Core 6. Could you 
please reproduce this with the updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know in this bug report.

Setting status to NEEDINFO, and awaiting information from the reporter.

Comment 4 Christophe GRENIER 2008-03-21 03:48:35 EDT
Created attachment 298776 [details]
dmesg for kernel 2.6.23.15-80.fc7
Comment 5 Christophe GRENIER 2008-03-21 03:52:27 EDT
Same bug with 2.6.23.15-80.fc7
Comment 6 Bug Zapper 2008-05-14 11:16:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Christophe GRENIER 2008-05-14 14:35:55 EDT
Same bug with 2.6.24.5-85.fc8
Comment 8 Bug Zapper 2008-11-26 04:27:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jon Stanley 2008-11-26 12:37:11 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.